Get contextual data integration definition
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/integrations/contextual-data/v1/definitions/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/integrations/contextual-data/v1/definitions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/integrations/contextual-data/v1/definitions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integrationDefinition": {
"featureFlag": "<string>",
"integrationType": {
"managed": {},
"arm": {},
"cloudformation": {},
"contextualData": {},
"genericWebhook": {},
"pushBasedContextualData": {},
"untracked": {}
},
"key": "<string>",
"revisions": [
{
"cloudFormation": {
"commands": [
{
"command": "<string>",
"description": "<string>",
"links": [
{
"key": "<string>",
"text": "<string>",
"url": "<string>"
}
],
"name": "<string>",
"tooltipText": "<string>"
}
],
"parameters": {},
"postInstallationSteps": {},
"templateUrl": "<string>"
},
"azureArmTemplate": {
"templateUrl": "<string>"
},
"featureFlag": "<string>",
"fields": [
{
"single": {
"defaultValue": "<string>"
},
"allowedPattern": "<string>",
"applicableIf": {
"values": [
{
"fieldName": "<string>",
"valuePattern": "<string>"
}
]
},
"documentationReference": "<string>",
"groupId": "<string>",
"multiText": {
"defaultValues": [
"<string>"
],
"options": [
"<string>"
]
},
"multipleSelection": {
"options": [
"<string>"
]
},
"name": "<string>",
"placeholder": "<string>",
"predefined": true,
"readonly": true,
"required": true,
"selection": {
"defaultValue": "<string>",
"options": [
"<string>"
]
},
"singleBoolean": {
"defaultValue": true
},
"singleNumber": {
"defaultValue": 123
},
"templateParamName": "<string>",
"tooltip": "<string>",
"upgradeNotice": "<string>",
"visible": true
}
],
"groups": [
{
"id": "<string>",
"name": "<string>"
}
],
"helmChart": {
"commands": [
{
"command": "<string>",
"description": "<string>",
"links": [
{
"key": "<string>",
"text": "<string>",
"url": "<string>"
}
],
"name": "<string>",
"tooltipText": "<string>"
}
],
"guide": {
"installationRequirements": "<string>",
"introduction": "<string>"
},
"template": "<string>"
},
"id": "<string>",
"managedService": {},
"revisionDeploymentSupported": true,
"rum": {
"browserSdkCommands": [
{
"command": "<string>",
"description": "<string>",
"links": [
{
"key": "<string>",
"text": "<string>",
"url": "<string>"
}
],
"name": "<string>",
"tooltipText": "<string>"
}
],
"sourceMapCommands": [
{
"command": "<string>",
"description": "<string>",
"links": [
{
"key": "<string>",
"text": "<string>",
"url": "<string>"
}
],
"name": "<string>",
"tooltipText": "<string>"
}
]
},
"terraform": {
"configurationBlocks": [
{
"description": "<string>",
"name": "<string>",
"value": "<string>"
}
]
},
"upgradeInstructionsMd": "<string>"
}
]
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Contextual Data Integration Service
Get contextual data integration definition
Returns the definition for the specified contextual data integration type.
Requires the following permissions:
contextual-data:ReadConfig
Get contextual data integration definition
Authorizations
API key authentication
Path Parameters
The unique identifier of the contextual data integration definition.
Query Parameters
Whether to include testing integrations in the results.
Response
Response containing the definition of a contextual data integration type.
This data structure represents a definition of an integration.
Show child attributes
Show child attributes
Was this page helpful?
⌘I